<script setup lang="ts">
const steps = ['Décrivez votre situation', 'Choisissez votre licence'];

defineProps({
  prev: { type: Number, required: false, default: undefined },
  currStepIndex: { type: Number, required: true, default: 1 },
  currIndex: { type: Number, required: true, default: 1 },
});
const emit = defineEmits(['prev-step']);
const prevStep = () => {
  emit('prev-step');
};
</script>
<template>
  <div class="btn-prev fr-col-4">
    <button v-if="prev || prev === 0" @click="prevStep"><span class="fr-fi-arrow-left-s-line" aria-hidden="true"></span>Précédent</button>
  </div>

  <div class="fr-stepper fr-col-6 fr-pt-5w">
    <h2 class="fr-stepper__title">
      <span class="fr-stepper__state">Étape {{ currStepIndex }} sur {{ steps.length }}</span>
      {{ steps[currStepIndex - 1] }}
    </h2>
    <div class="fr-stepper__steps" :data-fr-current-step="currStepIndex" :data-current="currIndex" />
    <p class="fr-stepper__details">
      <span v-if="currStepIndex < steps.length" class="fr-text--bold">Étape suivante :</span> {{ steps[currStepIndex] }}
    </p>
  </div>
</template>
<style lang="scss">
.fr-stepper__steps {
  background-image: repeating-linear-gradient(
    to right,
    var(--background-contrast-grey) 0,
    var(--background-contrast-grey) var(--default-inner)
  );
  &[data-current='0'],
  &[data-current='1'] {
    --current: 1;
  }
  &[data-current='2'] {
    --current: 2;
  }
  &[data-current='3'],
  &[data-current='4'] {
    --current: 3;
  }
  &[data-fr-current-step='1'] {
    --steps: 5;
    background-size:
      calc((100% + 6px) * var(--current) / 4 - 6px) 100%,
      100% 100%;
    background-image: repeating-linear-gradient(
        to right,
        var(--background-active-blue-france) 0,
        var(--background-active-blue-france) var(--active-inner),
        transparent var(--active-inner),
        transparent var(--active-outer)
      ),
      repeating-linear-gradient(to right, var(--background-contrast-grey) 0, var(--background-contrast-grey) var(--default-inner));
  }
  &[data-fr-current-step='2'] {
    --current-step: 1;
    --steps: 1;
    background-image: repeating-linear-gradient(
      to right,
      var(--background-active-blue-france) 0,
      var(--background-active-blue-france) var(--active-inner),
      transparent var(--active-inner),
      transparent var(--active-outer)
    );
  }
}
</style>
